/* * This file is part of Harmattan Organiser GUI *
 *
 * Copyright (C) 2009-2010 Nokia Corporation and/or its subsidiary(-ies).
 * All rights reserved.
 *
 * Contact: Andrey Moiseenko <andrey.moiseenko@nokia.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this library; see the file COPYING.LIB.  If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 */

#ifndef TRANSMITEMAIL_H
#define TRANSMITEMAIL_H

#include <QObject>

#include <QMailAccountId>
#include <QMailTransmitAction>

class TransmitHelper : public QObject
{
	Q_OBJECT
public:
	TransmitHelper(QMailAccountId id);

public slots:
	void transmit();
	void changeActivity(QMailServiceAction::Activity a);

signals:
	void done();

private:
	QMailTransmitAction* mAction;
	QMailAccountId mId;
};

#endif // TRANSMITEMAIL_H
